// Copyright (C) 2019  Wilko Manger
//
// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/.\
import 'dart:async';

import 'package:chopper/chopper.dart';
import 'package:matrix_sdk/src/exception.dart';

class ExceptionInterceptor implements ResponseInterceptor {
  @override
  FutureOr<Response> onResponse(Response response) async {
    if (!response.isSuccessful) {
      MatrixException.throwFromResponse(response);
    }

    return response;
  }
}
