// Copyright (C) 2019  Wilko Manger
//
// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/.

import 'package:matrix_sdk/matrix_sdk.dart';

class DeviceId extends Id {
  DeviceId(String value) : super(value);
}

class Device extends Identifiable<DeviceId> {
  @override
  final DeviceId id;

  final UserId userId;

  final String name;

  final DateTime lastSeen;

  final String lastIpAddress;

  Device({
    this.id,
    this.userId,
    this.name,
    this.lastSeen,
    this.lastIpAddress,
  });

  Device copyWith({
    DeviceId id,
    UserId userId,
    String name,
    DateTime lastSeen,
    String lastIpAddress,
  }) {
    return Device(
      id: id ?? this.id,
      userId: userId ?? this.userId,
      name: name ?? this.name,
      lastSeen: lastSeen ?? this.lastSeen,
      lastIpAddress: lastIpAddress ?? this.lastIpAddress,
    );
  }
}
